jQuery(window).scroll(function() {
  "use strict";
  var scroll = jQuery(window).scrollTop(); 
  if(scroll >= 4) {
        jQuery(".site-header").addClass("fixed-top");
	 }
	 else{
        jQuery(".site-header").removeClass("fixed-top");
  }

	if (scroll >= 200) {
        jQuery('.scroll-top').addClass('show');
	 } else {
        jQuery('.scroll-top').removeClass('show');
    }
});
jQuery('.scroll-top').on('click', function() {
      jQuery("html, body").animate({ scrollTop: 0 }, 200);
      return false;
});

jQuery( document ).ready(function() {
   jQuery('header nav').meanmenu();
      if(jQuery(window).width() >= 768) {
         jQuery(window).scroll(function () {   
            if(jQuery(window).scrollTop() > 500) {
               jQuery('#sidebar').css('position','fixed');
               jQuery('#sidebar').css('top','0'); 
               jQuery('#sidebar').css('width','28%');  
               jQuery('.boxed #sidebar').css('width','24%');  
            }

            else if (jQuery(window).scrollTop() <= 200) {
               jQuery('#sidebar').css('position','');
               jQuery('#sidebar').css('top','');
               jQuery('#sidebar').css('width',''); 
              }  
            if (jQuery('#sidebar').offset().top + jQuery("#sidebar").height() > jQuery("#footer").offset().top) {
                  jQuery('#sidebar').css('top',-(jQuery("#sidebar").offset().top + jQuery("#sidebar").height() - jQuery("#footer").offset().top));
            } 
          });
      }
});